S.SYS.SASMVERS EQU 2003175 ;Assembler/linker version, new format (abbbccc)
S.PRJ.DALI64_Example.SbusStation EQU 31 ;S-Bus station number
S.CPU.PcdType EQU 73 ;PCD type, see __PCDx_Mxxx__ symbols
S.CPU.Eline_System EQU 0 ;0 for E-Line types
S.CPU.Irm_System EQU 1 ;1 for Irm types
S.CPU.NT_System EQU 1 ;1 for new PCD types, 0 for old
S.CPU.PCD3_System EQU 0 ;0 if not PCD3
S.CPU.PCD2M5_System EQU 0 ;0 if not PCD2_M5
S.CPU.Cpu EQU 0 ;CPU number
S.CPU.MinFWVersion EQU 10900 ;Min firmware
S.CPU.MaxFWVersion EQU 999999 ;Max firmware version not defined
S.CPU.SbusStation EQU 31 ;S-Bus station number
S.CPU.SbusBaudRate EQU 115200 ;Sbus baud rate
S.CPU.ProgramVersion EQU 1000000 ;Program Version 1.0
S.CPU.LastTimer EQU T 31 ;Last timer number
S.CPU.TimerTimebase EQU 100 ;Timer timebase in ms
S.CPU.FirstCounter EQU C 32 ;First counter number
S.CPU.HasVolatileFlags EQU 1 ;1=has volatile Flags
S.CPU.LastVolatileFlag EQU F 1999 ;Flags between F 0 and F 1999 are volatile
S.CPU.FirstNonvolatileFlag EQU F 2000 ;Flags from F 2000 are nonvolatile
S.CPU.FirstDynCounter EQU C 100 ;First dynamic Counter address
S.CPU.LastDynCounter EQU C 399 ;Last dynamic Counter address
S.CPU.FirstDynTimer EQU T 5 ;First dynamic Timer address
S.CPU.LastDynTimer EQU T 31 ;Last dynamic Timer address
S.CPU.FirstDynRegister EQU R 2000 ;First dynamic Register address
S.CPU.LastDynRegister EQU R 3999 ;Last dynamic Register address
S.CPU.FirstDynFlag EQU F 2000 ;First dynamic Flag address
S.CPU.LastDynFlag EQU F 3999 ;Last dynamic Flag address
S.CPU.FirstDynVolFlag EQU F 1000 ;First dynamic volatile Flag address
S.CPU.LastDynVolFlag EQU F 1999 ;Last dynamic volatile Flag address
S.CPU.FirstDynText EQU TEXT 40 ;First dynamic Text address
S.CPU.LastDynText EQU TEXT 69 ;Last dynamic Text address
S.CPU.FirstDynDB EQU DB 70 ;First dynamic DB address
S.CPU.LastDynDB EQU DB 99 ;Last dynamic DB address
S.CPU.FirstDynRamText EQU TEXT 4040 ;First dynamic RAM Text address
S.CPU.LastDynRamText EQU TEXT 4069 ;Last dynamic RAM Text address
S.CPU.FirstDynRamDB EQU DB 4070 ;First dynamic RAM DB address
S.CPU.LastDynRamDB EQU DB 4099 ;Last dynamic RAM DB address
S.CPU.MaxFlag EQU 4049 ;Last Flag number
S.CPU.MaxReg EQU 4049 ;Last Register number
S.CPU.MaxCounter EQU 1599 ;Last Counter number
S.CPU.Use16BitAddressing EQU 0 ;Use 16-bit Register and Flag addressing (FW >= 1.20.00)
S.CPU.NoDirectIOAccess EQU 1 ;1 if I|O addresses cannot be used
S.CPU.FirstWritableTextDB EQU 4000 ;First writable Text/DB number (-1=not supported)
S.CPU.EnableDIR EQU 0 ;1=Download in Run features enabled
S.PRJ.AppLanguage EQU 'en' ;Preferred language for applications
S.PRJ.LibLanguage EQU 'en' ;Preferred language for libraries
S.PRJ.ANSICodePage EQU 1252 ;PC's Windows ANSI code page
S.PRJ.SYLK_General.SbusStation EQU 31 ;
S.CPU.OnlineAdjustParamAddsList EQU DB  ;
A.SYLK.Port EQU 200 ; Port No.of SYLK Bus
A.SYLK.Rcv.Data EQU R  ; Array of 16 register received data = max. 64 bytes
A.SYLK.Rcv.Len EQU R  ; Number of bytes received
A.SYLK.Rcv.New EQU F  ; Signalizes data received
A.SYLK.Rcv.Device EQU R  ; Sender ID
A.SYLK.Rcv.Type EQU R  ; Type of telegram, 00=Write Value, 02=Read Query Returned Value
A.SYLK.Rcv.PVID EQU R  ; PVID  (HEX)
A.SYLK.Rcv.Value EQU R  ; Value (IEEE)
A.SYLK.DALI64.Gear0.Level EQU R 100 ;
A.SYLK.DALI64.Gear0.Error EQU F 100 ;
A.SYLK.DALI64.Gear1.Level EQU R 101 ;
A.SYLK.DALI64.Gear1.Error EQU F 101 ;
A.SYLK.DALI64.Gear2.Level EQU R 102 ;
A.SYLK.DALI64.Gear2.Error EQU F 102 ;
A.SYLK.DALI64.Gear3.Level EQU R 103 ;
A.SYLK.DALI64.Gear3.Error EQU F 103 ;
A.SYLK.DALI64.Gear4.Level EQU R 104 ;
A.SYLK.DALI64.Gear4.Error EQU F 104 ;
A.SYLK.DALI64.Gear5.Level EQU R 105 ;
A.SYLK.DALI64.Gear5.Error EQU F 105 ;
A.SYLK.DALI64.Gear6.Level EQU R 106 ;
A.SYLK.DALI64.Gear6.Error EQU F 106 ;
A.SYLK.DALI64.Gear7.Level EQU R 107 ;
A.SYLK.DALI64.Gear7.Error EQU F 107 ;
A.SYLK.DALI64.Gear8.Level EQU R 108 ;
A.SYLK.DALI64.Gear8.Error EQU F 108 ;
A.SYLK.DALI64.Gear9.Level EQU R 109 ;
A.SYLK.DALI64.Gear9.Error EQU F 109 ;
A.SYLK.DALI64.Gear10.Level EQU R 110 ;
A.SYLK.DALI64.Gear10.Error EQU F 110 ;
A.SYLK.DALI64.Gear11.Level EQU R 111 ;
A.SYLK.DALI64.Gear11.Error EQU F 111 ;
A.SYLK.DALI64.Gear12.Level EQU R 112 ;
A.SYLK.DALI64.Gear12.Error EQU F 112 ;
A.SYLK.DALI64.Gear13.Level EQU R 113 ;
A.SYLK.DALI64.Gear13.Error EQU F 113 ;
A.SYLK.DALI64.Gear14.Level EQU R 114 ;
A.SYLK.DALI64.Gear14.Error EQU F 114 ;
A.SYLK.DALI64.Gear15.Level EQU R 115 ;
A.SYLK.DALI64.Gear15.Error EQU F 115 ;
A.SYLK.DALI64.Group0.Level EQU R 116 ;
A.SYLK.DALI64.Group0.Hours EQU R 117 ;
A.SYLK.DALI64.Group0.Energy EQU R 118 ;
A.SYLK.DALI64.Group1.Level EQU R 119 ;
A.SYLK.DALI64.Group1.Hours EQU R 120 ;
A.SYLK.DALI64.Group1.Energy EQU R 121 ;
A.SYLK.DALI64.Group2.Level EQU R 122 ;
A.SYLK.DALI64.Group2.Hours EQU R 123 ;
A.SYLK.DALI64.Group2.Energy EQU R 124 ;
A.SYLK.DALI64.Group3.Level EQU R 125 ;
A.SYLK.DALI64.Group3.Hours EQU R 126 ;
A.SYLK.DALI64.Group3.Energy EQU R 127 ;
A.SYLK.DALI64.Status EQU R 128 ; DALI64 Device Status
A.SYLK.DALI64.GrpOcc EQU R 129 ; Group Live Occupancy
A.SYLK.DALI64.GrpLS EQU R 130 ; Group Light State
A.SYLK.DALI64.GrpErr EQU R 131 ; Group Error Status
A.SYLK.DALI64.ErrG00_15 EQU R 132 ; Error Gear 00 .. 15
A.SYLK.DALI64.ErrG16_31 EQU R 133 ; Error Gear 16 .. 31
A.SYLK.DALI64.ErrG32_47 EQU R 134 ; Error Gear 32 .. 47
A.SYLK.DALI64.ErrG48_63 EQU R 135 ; Error Gear 48 .. 63
